## pcb-rnd 2.3.1

=== Makefile ===
all: FORCE
	cd src && $(MAKE)
	cd util && $(MAKE)
	cd pcblib && $(MAKE)
#	cd doc && $(MAKE)

test: FORCE
	cd tests && $(MAKE) test

clean: FORCE
	cd src && $(MAKE) clean
	cd util && $(MAKE) clean
	cd pcblib && $(MAKE) clean
#	cd doc && $(MAKE) clean
	cd tests && $(MAKE) clean
	cd src_3rd/librnd-local && $(MAKE) clean
	cd src_3rd/libminuid && $(MAKE) clean ; true
	cd src_3rd/libuundo && $(MAKE) clean ; true

# Note: have to distclean utils (and tests) before src because of hidlib deps
distclean: FORCE
	$(MAKE) clean ; true
#	cd doc && $(MAKE) distclean
	cd util && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd src_3rd/librnd-local && $(MAKE) distclean
	cd src_3rd/genregex && $(MAKE) clean ; true
	cd src_3rd/qparse && $(MAKE) clean ; true
	cd scconfig && $(MAKE) distclean ; true


install: FORCE
	cd src && $(MAKE) install
	cd util && $(MAKE) install
	cd pcblib && $(MAKE) install
	cd doc && $(MAKE) install

linstall: FORCE
	cd src && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd pcblib && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd pcblib && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

include Makefile.conf

FORCE:

=== data/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

all:

install_:
	echo "No installation script. Please contribute!"

install:
	$(MAKE) install_ CPC="$(CP)"

linstall:
	$(MAKE) install_ CPC="$(LN)"

uninstall:
	$(RM) $(DOCDIR)/examples/tut1.pcb

include ../Makefile.conf
themedir=$(DATADIR)/icons/$(theme)

=== doc/Makefile ===
MENU_RES=../src/pcb-menu-default.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all: keys.html user/05_ui/04_common/keytree.svg user/05_ui/04_common/keytree.txt
	ROOT="" ./Autostyle.sh *.html
	./datasheet.sh

include ../Makefile.conf

user/05_ui/04_common/keytree.svg: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --dot user/05_ui/04_common/src/node_names.txt $(MENU_RES) > user/05_ui/04_common/keytree.dot
	dot -Tsvg < user/05_ui/04_common/keytree.dot >user/05_ui/04_common/keytree.svg

user/05_ui/04_common/keytree.txt: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --lst $(MENU_RES) > user/05_ui/04_common/keytree.txt


keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd man && $(MAKE) install
	cd user && $(MAKE) install
	cd tutorials && $(MAKE) install
	cd security && $(MAKE) install
	cd conf && $(MAKE) install
	cd developer && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd man && $(MAKE) linstall
	cd user && $(MAKE) linstall
	cd tutorials && $(MAKE) linstall
	cd security && $(MAKE) linstall
	cd conf && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd man && $(MAKE) uninstall
	cd user && $(MAKE) uninstall
	cd tutorials && $(MAKE) uninstall
	cd security && $(MAKE) uninstall
	cd conf && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd man && $(MAKE) clean
	cd user && $(MAKE) clean
	cd tutorials && $(MAKE) clean
	cd security && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd developer && $(MAKE) clean

distclean:
	cd man && $(MAKE) distclean
	cd user && $(MAKE) distclean
	cd tutorials && $(MAKE) distclean
	cd security && $(MAKE) distclean
	cd conf && $(MAKE) distclean
	cd developer && $(MAKE) distclean

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
SRC=../src_3rd/librnd-local/scconfig/src
BIN=$(SRC)

#  what cflags to use to compile scconfig
USER_CFLAGS = -g -DGENCALL -I$(SRC) -I../src_3rd
#USER_CFLAGS = -Wall -Wextra -g -DGENCALL -Isrc

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = $(BIN)/util/arg_auto_set.o

#  what to build - a ./configure
all: configure cquote

# This line imports scconfig core and default tests
include $(SRC)/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
include $(SRC)/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include $(SRC)/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
# include $(SRC)/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include $(SRC)/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include $(SRC)/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
include $(SRC)/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include $(SRC)/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include $(SRC)/gui/Makefile.plugin

#  Comment this line if you do not need software utility libs (glib)
include $(SRC)/sul/Makefile.plugin

#  Uncomment this line if you need menus
include $(SRC)/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating)
include $(SRC)/generator/Makefile.plugin.legacy

#  Comment this line if you do not need tmpasm (templating)
include $(SRC)/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(SUL_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default -I.
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)

all: configure revtest sccbox

revtest: revtest.o
	$(CC) -o revtest revtest.o

revtest.o: revtest.c  Rev.h
	$(CC) -c $(CFLAGS) -o revtest.o revtest.c

configure: $(OBJS)  $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS)  $(DEFAULT_MAIN_OBJS)

menuconfig: menucfg
	./menucfg

menucfg: $(OBJS) $(MENULIB_OBJS) $(BIN)/default/main_lib.o $(BIN)/default/main_custom_args.o menucfg.o $(BIN)/util/arg_auto_menu.o $(BIN)/util/arg_auto_set.o
	$(CC) -o menucfg $(OBJS) $(MENULIB_OBJS) menucfg.o $(BIN)/default/main_lib.o $(BIN)/default/main_custom_args.o $(BIN)/util/arg_auto_menu.o

menucfg.o: menucfg.c
	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c

LIBRNDSCC=../src_3rd/librnd-local/src/librnd/scconfig
RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h $(LIBRNDSCC)/hooks_gui.c $(LIBRNDSCC)/rnd_hook_detect.h
hooks.o: hooks.c $(RNDHOOKS)  plugins.h Rev.h ../src_3rd/librnd-local/src_3rd/puplug/scconfig_hooks.h ../src_3rd/librnd-local/src_3rd/libfungw/scconfig_hooks.h ../src_3rd/librnd-local/src_3rd/libporty_net/hooks_net.c

$(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o $(BIN)/util/arg_auto_set.o $(SRC)/util/arg_auto_set.c

$(BIN)/util/sccbox.o: $(SRC)/util/sccbox.c
	$(CC) -c $(CFLAGS) -o $(BIN)/util/sccbox.o $(SRC)/util/sccbox.c

sccbox: $(BIN)/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox $(BIN)/util/sccbox.o

cquote: $(SRC)/util/cquote.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o cquote $(SRC)/util/cquote.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core $(BIN)/util/sccbox.o

distclean:
	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox gmon.out ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
	-$(MAKE) clean

=== tests/Makefile ===
test:
	cd RTT && $(MAKE) all && $(MAKE) test
	cd pcbflags && $(MAKE) all && $(MAKE) test
	cd conf && $(MAKE) all && $(MAKE) test
	cd strflags && $(MAKE) all && $(MAKE) test
	cd uniq_name && $(MAKE) all && $(MAKE) test
	cd propedit && $(MAKE) all && $(MAKE) test
	cd drc_pstk_hbrk && $(MAKE) all && $(MAKE) test
#	cd gsch2pcb-rnd && $(MAKE) all && $(MAKE) test
	cd drc_query && $(MAKE) test
	cd query && $(MAKE) test
	cd menu && $(MAKE) test
	cd cam && $(MAKE) test
	@echo " "
	@echo "+-------------------------------------------------+"
	@echo "+  All tests passed, pcb-rnd is safe to install.  +"
	@echo "+-------------------------------------------------+"

clean:
	cd RTT && $(MAKE) clean
	cd pcbflags && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd strflags && $(MAKE) clean
	cd uniq_name && $(MAKE) clean
	cd propedit && $(MAKE) clean
	cd drc_pstk_hbrk && $(MAKE) clean
#	cd gsch2pcb-rnd && $(MAKE) clean
	cd drc_query && $(MAKE) clean
	cd query && $(MAKE) clean
	cd menu && $(MAKE) clean
	cd cam && $(MAKE) clean

=== doc/developer/Makefile ===
ROOT=../..
DEVDIR=$(DOCDIR)/developer

all:

install_all:
	$(SCCBOX) mkdir -p $(DEVDIR)/alien_formats $(DEVDIR)/ddrc $(DEVDIR)/mods3
	$(SCCBOX) $(HOW) alien_formats/*.txt $(DEVDIR)/alien_formats/
	$(SCCBOX) $(HOW) ddrc/*.txt $(DEVDIR)/ddrc/
	$(SCCBOX) $(HOW) mods3/*.html mods3/*.png $(DEVDIR)/mods3/

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== doc/security/Makefile ===
ROOT=../..
SECDIR=$(DOCDIR)/security


all:

install_all:
	$(SCCBOX) mkdir -p $(SECDIR)
	$(SCCBOX) $(HOW) *.html $(SECDIR)/
	$(SCCBOX) $(HOW) README $(SECDIR)/

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== doc/user/Makefile ===
ROOT=../..
BUILD=$(ROOT)/util/build_ps.sh
USERDIR=$(DOCDIR)/user

INSTD = 02_model 03_data 04_invoc 05_ui 06_feature 07_io \
        08_util 09_appendix

all: pdf

include $(ROOT)/Makefile.conf

pdf: user1.pdf user2.pdf user3.pdf

ps_logo.png: ../resources/logo32.png
	cp ../resources/logo32.png ps_logo.png

ps_header.png: ../resources/header_600.png
	cp ../resources/header_600.png ps_header.png

user1.ps: ps1.lst $(BUILD) default.css Makefile ps_logo.png ps_header.png
	HTML2PS_OPTS="-f default.css --toc h" HTML2PS_SED="s^%%%volume%%%^Volume 1: Core functionality^;s^%%%ver%%%^Version $(PCB_RND_VER)^g" $(BUILD) `cat ps1.lst` > user1.ps

user2.ps: ps2.lst $(BUILD) default.css Makefile ps_logo.png ps_header.png
	HTML2PS_OPTS="-f default.css --toc h" HTML2PS_SED="s^%%%volume%%%^Volume 2: Plugins and utilities^;s^%%%ver%%%^Version $(PCB_RND_VER)^g" $(BUILD) `cat ps2.lst` > user2.ps

user3.ps: ps3.lst $(BUILD) default.css Makefile ps_logo.png ps_header.png
	HTML2PS_OPTS="-f default.css --toc h" HTML2PS_SED="s^%%%volume%%%^Volume 3: Appendix and misc^;s^%%%ver%%%^Version $(PCB_RND_VER)^g" $(BUILD) `cat ps3.lst` > user3.ps

user1.pdf: user1.ps
	ps2pdf user1.ps

user2.pdf: user2.ps
	ps2pdf user2.ps

user3.pdf: user3.ps
	ps2pdf user3.ps

ps.lst.vols: */*.html */*.png ./listlnk Makefile
	./listlnk list -v | grep -v "^index.html	\|[.]png	\|[.]svg	\|[.]pcb\|	[.]lht\|keytree.txt" > ps.lst.vols

ps1.lst: */*.html */*.png ps.lst.vols
	echo "ps_title.html" > ps1.lst
	awk -F "	" '($$2 == 1) {print $$1}' < ps.lst.vols >> ps1.lst

ps2.lst: */*.html */*.png ps.lst.vols
	echo "ps_title.html" > ps2.lst
	awk -F "	" '($$2 == 2) {print $$1}' < ps.lst.vols >> ps2.lst

ps3.lst: */*.html */*.png ps.lst.vols
	echo "ps_title.html" > ps3.lst
	awk -F "	" '($$2 == 3) {print $$1}' < ps.lst.vols >> ps3.lst

include Makefile.inst

regen: instgen
	./instgen

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="install -f -l --absolute "

uninstall:
	$(MAKE) install_all HOW="install -u"

include $(ROOT)/Makefile.conf

=== src_3rd/libcdtr/Makefile ===
#CFLAGS_DBG=-Wall -O0 -g3 
#CFLAGS_COORDT=-DCDT_COORD_T=double
CFLAGS=$(CFLAGS_DBG) $(CFLAGS_COORDT) $(CFLAGS_LIBCDTR) -I. -I.. -I../..
LDFLAGS=-lm $(LDFLAGS_LIBCDTR)

OBJS= cdt.o point.o edge.o triangle.o
LIBA=libcdtr.a

cdt_test: cdt_test.o $(OBJS)

include Makefile.dep

$(LIBA): $(OBJS)
	@touch $(LIBA)
	@rm $(LIBA)
	@ar ru $(LIBA) $(OBJS)
	-ar s $(LIBA)
	-ranlib $(LIBA)

cdt_test.o: cdt_test.c
	$(CC) $(CFLAGS) -c cdt_test.c -o $@

cdt.o: cdt.c
	$(CC) $(CFLAGS) -c cdt.c -o $@

point.o: point.c
	$(CC) $(CFLAGS) -c point.c -o $@

edge.o: edge.c
	$(CC) $(CFLAGS) -c edge.c -o $@

triangle.o: triangle.c
	$(CC) $(CFLAGS) -c triangle.c -o $@

test:
	cd regression && ./Test.sh

dep:
	echo $(OBJS) | ./dep.sh $(CFLAGS) > Makefile.dep

clean:
	-touch $(LIBA) $(OBJS) cdt_test.o cdt_test
	-rm $(LIBA) $(OBJS) cdt_test.o cdt_test

=== src_3rd/librnd-local/Makefile ===
all: FORCE
	cd src_3rd/puplug && $(MAKE) util/puplug CC=$(PCB_RND_HOST_CC)
	cd src && $(MAKE)
	cd util && $(MAKE)
#	cd doc && $(MAKE)

test: FORCE
	cd tests && $(MAKE) test

clean: FORCE
	cd src && $(MAKE) clean
	cd util && $(MAKE) clean
#	cd doc && $(MAKE) clean
	cd tests && $(MAKE) clean
	cd src_3rd/sphash && $(MAKE) clean
	cd src_3rd/genht && $(MAKE) clean
	cd src_3rd/puplug && $(MAKE) clean
	cd src_3rd/libminuid && $(MAKE) clean ; true
	cd src_3rd/libuundo && $(MAKE) clean ; true

# Note: have to distclean utils (and tests) before src because of hidlib deps
distclean: FORCE
	$(MAKE) clean ; true
#	cd doc && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd src_3rd/genlist && $(MAKE) clean ; true
	cd src_3rd/genregex && $(MAKE) clean ; true
	cd src_3rd/genvector && $(MAKE) clean ; true
	cd src_3rd/liblihata && $(MAKE) clean ; true
	cd src_3rd/liblihata/genht && $(MAKE) clean ; true
	cd src_3rd/qparse && $(MAKE) clean ; true
	cd src_3rd/libporty_net && $(MAKE) distclean ; true
	cd scconfig && $(MAKE) distclean ; true


install: FORCE
	cd src && $(MAKE) install
	cd util && $(MAKE) install
	cd doc && $(MAKE) install

linstall: FORCE
	cd src && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

include Makefile.conf

FORCE:

=== src_plugins/ar_cpcb/Makefile ===
all:
	cd ../../src && $(MAKE) mod_ar_cpcb

clean:
	rm *.o *.so 2>/dev/null ; true

=== src_plugins/asm/Makefile ===
all:
	cd ../../src && $(MAKE) mod_asm

clean:
	rm *.o *.so 2>/dev/null ; true

=== debian/changelog ===
pcb-rnd (2.3.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Jan 2021 18:18:20 -0700

pcb-rnd (2.3.0-3) unstable; urgency=medium

  * tighten dependencies since upstream does not support version skew,
    closes: #977947

 -- Bdale Garbee <bdale@gag.com>  Wed, 23 Dec 2020 10:41:53 -0700

pcb-rnd (2.3.0-2) unstable; urgency=medium

  * patch from upstream attempting to fix autobuilder failures 
  * upstream says gettext should not be a build-dep

 -- Bdale Garbee <bdale@gag.com>  Sat, 28 Nov 2020 17:54:06 -0500

pcb-rnd (2.3.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Nov 2020 08:49:38 -0700

pcb-rnd (2.2.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 09 Sep 2020 10:51:52 -0500

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), gettext, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev
Standards-Version: 4.5.1
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-io-standard (= ${binary:Version}),
	pcb-rnd-io-alien (= ${binary:Version}),
	pcb-rnd-hid-gtk2-gl (= ${binary:Version}),
	pcb-rnd-hid-gtk2-gdk (= ${binary:Version}),
	pcb-rnd-export (= ${binary:Version}),
	pcb-rnd-export-sim (= ${binary:Version}),
	pcb-rnd-export-extra (= ${binary:Version}),
	pcb-rnd-auto (= ${binary:Version}),
	pcb-rnd-extra (= ${binary:Version}),
	pcb-rnd-cloud (= ${binary:Version}),
	pcb-rnd-doc (= ${source:Version}),
	pcb-rnd-import-net (= ${binary:Version})
Suggests: geda-gnetlist
Description: Standard installation of pcb-rnd
 pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
 with a rich set of plugins for communicating with various external
 design tools and other EDA/CAD packages.
 .
 Feature highlights:
   - subcircuits, pad stacks
   - flexible footprint model; unrestricted pad shapes
   - arbitrary copper, silk, paste and soldermask objects
   - sophisticated, flexible layer model
   - flexible/universal polygon model
   - any object, even polygons, can have a clearance within a polygon
   - advanced mil and mm grid, with support for mixed unit design
   - strong CLI support
   - static footprints and parametric (generated) footprints
   - query language for advanced search & select
   - powerful, user scriptable, modular Design Rule Checker (DRC)
   - layout optimizers such as teardrops and a trace puller
   - footprint library from local file systems, HTTP and board files
   - netlist management: imported and as-built; back annotation
 .
 File formats and compatibility:
   - text based, tree structured native file format (lihata)
   - import board:
     * autotrax PCB board, version 4
     * autotrax PCB board, version 5
     * dsn board
     * eagle xml board version 6, 7, 8
     * eagle binary board version 3, 4, 5
     * hyperlynx board, version 2 and above
     * kicad board, version 3, 4 and 5 (s-expr)
     * lihata pcb-rnd board (any version)
     * gEDA/PCB .pcb board (any version up to 2017)
   - export board:
     * anonimized board statistics in lihata
     * autotrax PCB board, version 4
     * dsn board
     * hyperlynx board, version 2.0
     * kicad board, version 3 (s-expr)
     * kicad pcbnew-board, version 1 (legacy plain text format)
     * lihata pcb-rnd board (any version)
     * gEDA/PCB .pcb board (various version up to 2017 )
   - import footprint:
     * BXL footprints
     * eagle xml footprint lib
     * eagle binary footprint lib
     * lihata pcb-rnd footprint (any version)
     * Mentor Graphics cell footprints
     * gEDA/PCB .fp footprints
     * tEDAx footprint (any version)
   - export footprint:
     * kicad module (s-expr, according to version 3)
     * kicad pcbnew-module (legacy plain text format)
     * lihata pcb-rnd footprint (any version)
     * gEDA/PCB .fp footprints
     * tEDAx footprint (any version)
   - import netlist:
     * Accel ASCII netlists + footprint info
     * calay (netlists + footprint info)
     * flat netlist from EDIF
     * freepcb netlist + footprint info
     * gEDA/gschem (netlist + footpritn info, running gnetlist)
     * import ltspice .net and .asc (netlist and footprint info)
     * flat .edf (netlist+footprint, produced by Mentor Graphics Design Capture)
     * pcb-rnd action script (netlist + footprint info)
     * schematics import by running a commandline
     * netlist import by running a commandline
     * gEDA netlist (plain text, no footprint info)
     * Orcad PCB II (netlist + footprint info)
     * PADS ascii (.asc, netlists + footprint info)
     * Protel netlists 2.0 + footprint info
     * tinycad .net (netlists + footprint info)
     * eeschema netlist and footprint info
     * tEDAx netlist (any version)
   - export netlist:
     * tEDAx netlist (any version)
   - import image:
     * pixmap (e.g. png)
     * pnm (pixmap)
   - export image:
     * render in .png
     * render in .gif
     * render in .jpeg
     * render black&white postscript (single or multiple files)
     * render black&white or color embedded postscript (single file)
     * svg (Scalable Vector Graphics)
   - import misc:
     * specctra .dsn (wires and vias)
     * HPGL plot (lines, arcs, polygons)
     * MUCS unixplot .pl (lines and vias)
     * ttf font
     * eagle DRU (design rules)
     * lihata pcb-rnd font (any version)
     * gEDA/PCB font
     * tEDAx drc
     * tEDAx pcb-rnd drc script
   - export misc:
     * bom (Bill of Materials, text)
     * specctra .dsn (padstacks and subcircuits, works with freerouting.net)
     * .dxf (2D drawing for mech CADs)
     * excellon drill/cnc (for PCB fabbing)
     * fidocad .fcd (partial export)
     * export gcode (for milling)
     * gerber for PCB fabbing
     * IPC-D-356 Netlist (for automated testing)
     * printer (using ps)
     * list of terminal connections (old, custom format)
     * OpenEMS (simulation, matlab files)
     * openscad script (colored 3D model)
     * stl (3d triangulated surface model)
     * geda/PCB xy
     * gxyrs
     * Macrofab's pick&place
     * pick&place file for the TM220/TM240 device
     * KiCad .pos file
     * IPC-D-356 Netlist (from automated testing)
     * lihata pcb-rnd font (any version)
     * tEDAx etest
     * tEDAx drc
     * tEDAx pcb-rnd drc script

Package: pcb-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Debug and diagnostics.
 Extra action commands to help in debugging and diagnosing problems
 and bugs.

Package: pcb-rnd-export
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Common export plugins.
 Export the board in vector graphics (svg, ps, eps), raster graphics
 (png, jpeg, etc.), gerber, 3d model in openscad, xy for pick and
 place, BoM, etc.

Package: pcb-rnd-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Documentation for pcb-rnd
 User manual (html) and manual pages.

Package: pcb-rnd-export-sim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Export plugins to simulators
 Export the board in formats that can be used for simulation: openems.

Package: pcb-rnd-lib-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Support library for rendering with opengl.
 Provides plugins for driving an opengl output, rendering pcb-rnd
 views on opengl.

Package: pcb-rnd-hid-gtk2-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-gtk (= ${binary:Version}),
	pcb-rnd-lib-gl (= ${binary:Version})
Description: GUI: gtk2, opengl
 Hardware accelerated (opengl) rendering on gtk2.

Package: pcb-rnd-import-geo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Geometry import plugins.
 Import geometry from HPGL plots. HPGL can be produced (plotted) with
 most mechanical cads.

Package: pcb-rnd-import-net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version})
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Netlist/schematics import plugins.
 Import netlist and footprint information from edif, ltspice, mentor
 graphics, gschem and tinycad.

Package: librnd-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	librnd2 (= ${binary:Version}),
	pcb-rnd-core (= ${binary:Version})
Description: pcb-rnd library, headers.
 HID, polygons, infrastructure for 3rd party applications.

Package: pcb-rnd-auto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version}),
	pcb-rnd-io-standard (= ${binary:Version})
Description: Autoroute and autoplace.
 Feature plugins for automated component placing and track routing.

Package: pcb-rnd-lib-io
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Support library for alien file formats.
 Provides generic, low level parsers (such as s-expression parser) for
 I/O plugins that need to deal with alien file formats.

Package: pcb-rnd-io-standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version})
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: Commonly used non-native board and footprint file formats
 Plugins for tEDAx footprint format and the gEDA/PCB file formats
 (footprint and board).

Package: pcb-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: Support library for building the GUI.
 Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: pcb-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: pcb-rnd (<< 2.2.0-2)
Breaks: pcb-rnd (<< 2.2.0-2)
Description: pcb-rnd executable with the core functionality
 Includes the data model, the most common action commands, the native
 file format and the CLI (batch HID). Does not contain GUI. Can be
 used in headless mode or batch/scripted mode for automated processing.

Package: pcb-rnd-lib-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-gui (= ${binary:Version})
Description: Support library for building the GUI with gtk.
 Provides the common gtk code (e.g. dialog box engine, input handling)
 for any gtk based HID plugin.

Package: pcb-rnd-hid-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-gui (= ${binary:Version})
Description: GUI: motif/lesstif, software render
 Lightweight GUI and software rendering using the motif (lesstif)
 toolkit.

Package: librnd2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
Description: pcb-rnd library, binaries.
 HID, polygons, infrastructure for 3rd party applications.

Package: pcb-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-io (= ${binary:Version})
Description: File format compatibility with other PCB layout designers.
 Load and/or save boards in file formats supported by other EDA tools,
 such as KiCAD, Eagle, protel/autotrax, etc.

Package: pcb-rnd-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget, pcb-rnd-core (= ${binary:Version})
Description: Networking plugins.
 'Cloud' footprint access plugin that integrates edakrill and
 gedasymbols.org.

Package: pcb-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-export (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: fidocadj, ipc-356-d, direct
 printing with lpr.

Package: pcb-rnd-hid-gtk2-gdk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pcb-rnd-core (= ${binary:Version}),
	pcb-rnd-lib-gtk (= ${binary:Version})
Description: GUI: gtk2, software render

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/pcb-rnd \
		--prefix/libs/script/fungw=/dev/null \
		\
		--all=disable \
		--buildin-script \
		--buildin-fp_fs \
		--buildin-draw_fab \
		--buildin-act_read \
		--buildin-drc_query \
		--buildin-mincut \
		--buildin-ch_onpoint \
		--buildin-report \
		--buildin-rubberband_orig \
		--buildin-exto_std \
		--buildin-fp_board \
		--buildin-propedit \
		--buildin-io_lihata \
		--buildin-autocrop \
		--buildin-lib_polyhelp \
		--buildin-draw_csect \
		--buildin-ddraft \
		--buildin-ch_editpoint \
		--buildin-hid_batch \
		--buildin-act_draw \
		--buildin-tool_std \
		--buildin-show_netnames \
		--buildin-query \
		--buildin-lib_compat_help \
		--buildin-lib_portynet \
		--buildin-shape \
		--buildin-lib_formula \
		--buildin-extedit \
		--plugin-export_excellon \
		--plugin-export_fidocadj \
		--plugin-export_lpr \
		--plugin-export_oldconn \
		--plugin-irc \
		--plugin-import_pxm_gd \
		--plugin-export_stat \
		--plugin-io_kicad_legacy \
		--plugin-io_eagle \
		--plugin-io_tedax \
		--plugin-import_gnetlist \
		--plugin-import_pxm_pnm \
		--plugin-io_kicad \
		--plugin-import_mucs \
		--plugin-renumber \
		--plugin-import_calay \
		--plugin-smartdisperse \
		--plugin-draw_fontsel \
		--plugin-polycombine \
		--plugin-export_gcode \
		--plugin-export_bom \
		--plugin-ar_cpcb \
		--plugin-lib_hid_pcbui \
		--plugin-teardrops \
		--plugin-shand_cmd \
		--plugin-import_tinycad \
		--plugin-export_openems \
		--plugin-import_orcad_net \
		--plugin-import_ltspice \
		--plugin-export_dxf \
		--plugin-lib_gtk_common \
		--plugin-export_ipcd356 \
		--plugin-import_ttf \
		--plugin-import_mentor_sch \
		--plugin-import_dsn \
		--plugin-export_ps \
		--plugin-import_accel_net \
		--plugin-hid_gtk2_gdk \
		--plugin-millpath \
		--plugin-djopt \
		--plugin-hid_gtk2_gl \
		--plugin-import_edif \
		--plugin-hid_lesstif \
		--plugin-import_protel_net \
		--plugin-lib_gensexpr \
		--plugin-import_sch2 \
		--plugin-diag \
		--plugin-lib_wget \
		--plugin-lib_hid_gl \
		--plugin-export_stl \
		--plugin-autoplace \
		--plugin-export_svg \
		--plugin-import_net_cmd \
		--plugin-fp_wget \
		--plugin-fontmode \
		--plugin-import_netlist \
		--plugin-polystitch \
		--plugin-import_pads_net \
		--plugin-dialogs \
		--plugin-io_dsn \
		--plugin-export_xy \
		--plugin-export_png \
		--plugin-import_hpgl \
		--plugin-import_ipcd356 \
		--plugin-export_dsn \
		--plugin-lib_hid_common \
		--plugin-lib_netmap \
		--plugin-io_hyp \
		--plugin-cam \
		--plugin-puller \
		--plugin-import_fpcb_nl \
		--plugin-io_pcb \
		--plugin-distalign \
		--plugin-asm \
		--plugin-export_openscad \
		--plugin-jostle \
		--plugin-autoroute \
		--plugin-io_autotrax \
		--plugin-vendordrill \
		--plugin-export_gerber \
		--plugin-io_bxl \
		--plugin-ar_extern \
		--plugin-import_net_action \

## pcb-rnd 2.4.0

=== tests/conf/Makefile ===
ROOT=../..
include $(ROOT)/Makefile.conf

LIBRND_ROOT=$(ROOT)/src_3rd/librnd-local
include $(LIBRND_ROOT)/src/librnd/core/librnd.mak

CFLAGS = $(PCB_RND_C89FLAGS) -I../.. -I../../src_3rd -I../../src $(CFLAGS_LIBRND_FUNGW) $(CFLAGS_LIBRND)
LDLIBS = -lm $(LDFLAGS_LIBRND_FUNGW) $(LDFLAGS_LIBRND)

LIB_HIDLIB=\
	../../src_3rd/librnd-local/src/librnd-hid.a \
	../../src_3rd/librnd-local/src/librnd-3rd.a

LIB_PCBRND_OBJS=\
	../../src_plugins/diag/diag_conf.o \
	../../src/conf_core.o \
	../../src/conf_internal.o

DEPH = \
	../../src_3rd/librnd-local/src/librnd/core/conf.h \
	../../src_3rd/librnd-local/src/librnd/core/conf_hid.h \
	../../src_3rd/librnd-local/src/librnd/core/compat_misc.h \
	../../src/conf_core.h \
	../../src_plugins/diag/diag_conf.h \

OBJS = conftest.o help.o

all: conftest

conftest: $(OBJS) $(LIB_HIDLIB) $(LIB_PCBRND_OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIB_PCBRND_OBJS) $(LIB_HIDLIB) $(LDLIBS) -o conftest

conftest.o: conftest.c $(DEPH)
	$(CC) $(CFLAGS) -c conftest.c -o conftest.o

help.o: help.c

$(LIB_HIDLIB):
	cd ../../src && make

test:
	cd tests && $(MAKE) all

clean:
	-$(SCCBOX) rm -f conftest tests/*.out ../../src_plugins/diag/diag_conf.o $(OBJS)

=== tests/drc_query/Makefile ===
ROOT=../..

SRC=$(ROOT)/src
TDIR=../tests/drc_query
FLT=$(TDIR)/drc_filter.sh
PCBRND=./pcb-rnd
GLOBARGS=-c rc/library_search_paths=../tests/RTT/lib -c rc/quiet=1 -c editor/drc_inclusive_bbox=1

TESTS = \
thickness.diff overlap.diff netint.diff dwg_area.diff fullpoly.diff \
zone_clr.diff

#TODO: remove this once librnd separation id finished
LDLIB=export LD_LIBRARY_PATH=`pwd`/$(ROOT)/src_3rd/librnd-local/src &&


test: $(TESTS)

all:

thickness.diff: thickness.out
	@diff -u thickness.ref thickness.out && rm thickness.out

thickness.out: FORCE
	@$(LDLIB) cd $(SRC) && echo "drc()" | $(PCBRND) $(GLOBARGS) $(TDIR)/thickness.lht --gui batch | $(FLT) > $(TDIR)/thickness.out

overlap.diff: overlap.out
	@diff -u overlap.ref overlap.out && rm overlap.out

overlap.out: FORCE
	@$(LDLIB) cd $(SRC) && echo "drc()" | $(PCBRND) $(GLOBARGS) $(TDIR)/overlap.lht --gui batch | $(FLT) > $(TDIR)/overlap.out

netint.diff: netint.out
	@diff -u netint.ref netint.out && rm netint.out

netint.out: FORCE
	@$(LDLIB) cd $(SRC) && echo "drc()" | $(PCBRND) $(GLOBARGS) $(TDIR)/netint.lht --gui batch | $(FLT) > $(TDIR)/netint.out

dwg_area.diff: dwg_area.out
	@diff -u dwg_area.ref dwg_area.out && rm dwg_area.out

dwg_area.out: FORCE
	@$(LDLIB) cd $(SRC) && echo "drc()" | $(PCBRND) $(GLOBARGS) $(TDIR)/dwg_area.lht --gui batch | $(FLT) > $(TDIR)/dwg_area.out

fullpoly.diff: fullpoly.out
	@diff -u fullpoly.ref fullpoly.out && rm fullpoly.out

fullpoly.out: FORCE
	@$(LDLIB) cd $(SRC) && echo "drc()" | $(PCBRND) $(GLOBARGS) $(TDIR)/fullpoly.lht --gui batch | $(FLT) > $(TDIR)/fullpoly.out

zone_clr.diff: zone_clr.out
	@diff -u zone_clr.ref zone_clr.out && rm zone_clr.out

zone_clr.out: FORCE
	@$(LDLIB) cd $(SRC) && echo "drc()" | $(PCBRND) $(GLOBARGS) $(TDIR)/zone_clr.lht --gui batch | $(FLT) > $(TDIR)/zone_clr.out

clean:
	@echo "a" > dummy.out
	rm *.out

FORCE:

=== tests/query/Makefile ===
ROOT=../..

SRC=$(ROOT)/src
TDIR=../tests/query
PCBRND=./pcb-rnd
GLOBARGS=-c rc/library_search_paths=../tests/RTT/lib -c rc/quiet=1

#TODO: remove this once librnd separation id finished
LDLIB=export LD_LIBRARY_PATH=`pwd`/$(ROOT)/src_3rd/librnd-local/src &&


TESTS = \
	action.diff getconf.diff getconf2.diff

test: $(TESTS)

all:

action.diff: action.out
	@diff -u action.ref action.out && rm action.out

action.out: FORCE
	@$(LDLIB) cd $(SRC) && echo 'query(eval, "action(\"message\", \"hello\", @.x)")' | $(PCBRND) $(GLOBARGS) $(TDIR)/1obj.lht --gui batch > $(TDIR)/action.out

getconf.diff: getconf.out
	@diff -u getconf.ref getconf.out && rm getconf.out

getconf.out: FORCE
	@$(LDLIB) cd $(SRC) && echo 'query(eval, "@ thus getconf(\"editor/grid_unit\")")' | $(PCBRND) $(GLOBARGS) $(TDIR)/1obj.lht --gui batch > $(TDIR)/getconf.out

getconf2.diff: getconf2.out
	@diff -u getconf2.ref getconf2.out && rm getconf2.out

getconf2.out: FORCE
	@$(LDLIB) cd $(SRC) && echo 'query(eval, "@ thus $$min_drill")' | $(PCBRND) $(GLOBARGS) $(TDIR)/1obj.lht --gui batch > $(TDIR)/getconf2.out

clean:
	@echo "a" > dummy.out
	rm *.out

FORCE:

=== debian/changelog ===
pcb-rnd (2.4.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Jun 2021 22:21:57 -0600

pcb-rnd (2.3.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Apr 2021 10:00:05 -0600

=== debian/control ===
--- 
+++ 
@@ -58,6 +58,7 @@
      * hyperlynx board, version 2 and above
      * kicad board, version 3, 4 and 5 (s-expr)
      * lihata pcb-rnd board (any version)
+     * PADS board
      * gEDA/PCB .pcb board (any version up to 2017)
    - export board:
      * anonimized board statistics in lihata
@@ -87,7 +88,7 @@
      * calay (netlists + footprint info)
      * flat netlist from EDIF
      * freepcb netlist + footprint info
-     * gEDA/gschem (netlist + footpritn info, running gnetlist)
+     * gEDA/gschem (netlist + footprint info, running gnetlist)
      * import ltspice .net and .asc (netlist and footprint info)
      * flat .edf (netlist+footprint, produced by Mentor Graphics Design Capture)
      * pcb-rnd action script (netlist + footprint info)
@@ -254,7 +255,7 @@
 
 Package: pcb-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd2 (= ${binary:Version})
 Replaces: pcb-rnd (<< 2.2.0-2)
 Breaks: pcb-rnd (<< 2.2.0-2)
 Description: pcb-rnd executable with the core functionality
@@ -282,7 +283,7 @@
 
 Package: librnd2
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-rnd-core (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: pcb-rnd library, binaries.
  HID, polygons, infrastructure for 3rd party applications.
 
@@ -290,7 +291,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
-	pcb-rnd-lib-io (= ${binary:Version})
+	pcb-rnd-lib-io (= ${binary:Version}),
+	pcb-rnd-extra (= ${binary:Version})
 Description: File format compatibility with other PCB layout designers.
  Load and/or save boards in file formats supported by other EDA tools,
  such as KiCAD, Eagle, protel/autotrax, etc.
@@ -316,4 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	pcb-rnd-core (= ${binary:Version}),
 	pcb-rnd-lib-gtk (= ${binary:Version})
-Description: GUI: gtk2, software render

=== debian/rules ===
--- 
+++ 
@@ -82,6 +82,7 @@
 		--plugin-lib_hid_pcbui \
 		--plugin-teardrops \
 		--plugin-shand_cmd \
+		--plugin-io_pads \
 		--plugin-import_tinycad \
 		--plugin-export_openems \
 		--plugin-import_orcad_net \
